package com.parksong.basics.api;

import org.springframework.web.bind.annotation.Mapping;

import java.lang.annotation.*;

/**
 * @ClassName ApiVersion
 * @Description 版本控制
 * @Author kael
 * @Date 2019/6/24 0024 下午 16:31
 * @Version 1.0
 **/
@Target({ElementType.METHOD,ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Mapping
public @interface ApiVersion {
    /**
     * 标识版本号
     * @return
     */
    int value();
}
