package com.parksong.basics.beans;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName BasicsBean
 * @Description 基础model类，所有实体类都应该继承该类，必须序列化
 * @Author keal
 * @Date 2019/9/6 0006 上午 10:32
 * @Version 1.0
 **/
@Data
@JsonSerialize(include= JsonSerialize.Inclusion.NON_NULL)
public class BasicsBean implements Serializable {
    private Integer id;
    private Date createTime;
    private Date updateTime;
}
