package com.parksong.basics.beans;

import com.parksong.basics.util.constants.ReturnStatusCodeConstants;
import lombok.Data;

import java.io.Serializable;

/**
 * @author LiuJS
 * @Time 2021/7/6 15:31
 * @Desc
 * @Version 1.0
 */
@Data
public class ResultNo<T> implements Serializable {
    private static final long serialVersionUID = 1L;


    private String msg = "请求成功";

    private int code = ReturnStatusCodeConstants.SUCCESS;

    private T data;

    private String requestSign;

    public ResultNo() {
        super();
    }

    public ResultNo(T data) {
        super();
        this.data = data;
    }

    public ResultNo(Throwable e) {
        super();
        this.msg = e.toString();
        this.code = ReturnStatusCodeConstants.FAIL;
    }
}
