/**
 * @FileName: BusinessException.java
 * @Package com.parksong.basics.exception
 * 
 * @author warship
 * @created 2013年11月22日 下午3:58:48
 * 
 * Copyright 2013-2050 佰颂物联 版权所有
 */
package com.parksong.basics.exception;

/**
 * <p>业务异常</p>
 * 
 * @author warship
 * @since 1.0
 * @version 1.0
 */
public class BusinessException extends BaseException {

	private static final long serialVersionUID = -4902153677077364421L;

	public BusinessException() {
		super();
	}

	public BusinessException(String message, Throwable cause) {
		super(message, cause);
	}

	public BusinessException(String message) {
		super(message);
	}

	public BusinessException(Throwable cause) {
		super(cause);
	}
	
}
