package com.parksong.basics.util.constants;

/**
 * @ClassName ReturnStatusCodeConstants
 * @Description 系统返回状态码
 * @Author kael
 * @Date 2019/9/12 0012 下午 15:36
 * @Version 1.0
 **/
public class ReturnStatusCodeConstants {

    /**
     * 未登录
     */
    public static final int NO_LOGIN = -1;
    /**
     * 成功
     */
    public static final int SUCCESS = 0;
    /**
     * 业务错误
     */
    public static final int FAIL = 1;
    /**
     * 无许可
     */
    public static final int NO_PERMISSION = 2;

    public static final int Existing = 3;
    /**
     * 未知异常
     */
    public static final int Unknown = 100;
    /**
     * 不符合要求的条件
     */
    public static final int ASK = 4;
}
