package com.parksong.beans.delivery;

import com.parksong.basics.beans.BasicsBean;
import lombok.Data;

import java.util.Date;

/**
 * Phoenix今日统计：Gaia统计数据
 * @author liutianyuan
 *
 */
@Data
public class BaseStatToday extends BasicsBean {
	
	
    private Date statTime;
    private int storeId;
    private int statType;
    private int source;
    private int createTimeNum; // 创建时间跟今天相差天数(0为今天  大于0为今天之前)
    private int statusTimeNum; // 更新时间跟今天相差天数(0为今天  大于0为今天之前)
    private int count;// 抽象值
    
    private Integer expressId; //快递id
    private Integer outType;
    private Integer nums;
    private Integer price;
    private Integer realMoney;
    private Integer payType;
    private Integer unComplete;//未完善
    
	//    122在库 126出库 124派送中 125麦客配送中 128拒收在库 130拒收离库 246离库
    private int lastInstoreOrders;// 昨日再投
    private int todayInstoreOrders;// 今日入库
    private int allInstoreOrders;// 总在库
    private int allDispatchOrders;// 派送中
    private int todayOutStoreOrders;// 今日出库
    private int todayLeaveStoreOrders;// 今日离库
    private int todayRefuseOrders;// 今日拒收
    private int uncompleteOrders;//未完善
    private int smsFailOrders; // 短信失败

}