package com.parksong.beans.delivery;

import com.parksong.basics.beans.BasicsBean;
import lombok.*;

import java.util.Date;
import java.util.List;

/**
 * @ClassName delivery
 * @Description TODO
 * @Author kael
 * @Date 2019/9/6 0006 下午 14:54
 * @Version 1.0
 **/
@EqualsAndHashCode(callSuper = true)
@Data
public class Delivery extends BasicsBean {

    private Integer storeId;

    private String expcode;

    private Integer expId;

    private String shelfCode;

    private Integer shelfId;

    private String userName;

    private String userPhone;

    private String userpcas;

    private String userAddress;

    private Integer ischarge;

    private Integer chargeMoney;

    private Integer money;

    private Integer weight;

    private Integer payType;

    private String deliveryUid;

    private String deliveryUname;

    private String remark;

    private String oldOrderCode;

    private String odeliveryType;

    private Integer isdel;

    private Integer status;

    private String statusName;

    private Date statusTime;

    private Integer problemType;

    private String problemCode;

    private Integer iswhite;

    private String revuserPhone;

    private String revexpCode;

    private String revshelfCode;

    private Integer fillType;

    private Integer signStatus;

    private Date signDtm;


    private Integer uploadStatus;

    private Date uploadDtm;

    private Integer returnSignStatus;

    private String returnSignStatusName;

    private String signPhoneNumber;

    private String sendBackReason;

    /**
     * 短信发送状态；// 状态 0:已发送, 1:成功, 2:失败
     */
    private Integer smsStatus;
    private String smsStatusName;
    /**
     * 1.短信发送通道 2.微信发送通道 3.短信,微信都发送通道
     */
    private Integer sendSuccessType;
    /**
     * 短信发送失败原因
     */
    private String resultInfo;

    /**
     * 截取用户电话号码后4位
     */
    private String vagueUserPhone;
    /**
     * 面单号后4位
     */
    private String vagueExpCode;

    private Boolean whiteUser;
    /**
     * 代发短信平台
     */
    private String platform;
    /**
     * 推送物流数据平台
     */
    private String tracePushPlatform;
    /**
     * 签收快递的图片
     */
    private String signPhotoUrl;
    private List<String> signPhotoUrlList;
    /*****************************************非数据库字段**********************************************/
    /**
     * 快递公司名称
     */
    private String expName;
    /**
     * 快递logo地址
     */
    private String expLogo;
    /**
     * 快递收件人地址
     */
    private String expAddress;

    /**
     * 货架名称
     */
    private String shelfName;

    private Integer isSendSMS;

    public String picurl;

    /**
     * 签收方式：
     *   1：妥投签收
     *   2：派送签收
     */
    private Integer signWay;
    /**
     * 短信发送内容
     */
    private String smsContent;
    /**
     * 短信发送时间
     */
    private Date smsTime;
    /**
     * 快递在库时间
     */
    private Long warehousingTime;
    /**
     * 收件人信息
     */
    private String consigneeName;
    /**
     * 快递操作记录
     */
    private List<ExpressOperation> expressOperationList;
}
