package com.parksong.beans.delivery;

import com.parksong.basics.beans.BasicsBean;
import lombok.Builder;
import lombok.Data;

/**
 * @ClassName DeliveryStatistics
 * @Description 订单统计
 * @Author kael
 * @Date 2019/9/18 0018 下午 16:13
 * @Version 1.0
 **/
@Data
@Builder
public class DeliveryStatistics extends BasicsBean {
    /**
     * 未发送
     */
    private Long noTice;
    /**
     * 发送成功
     */
    private Long scuessTice;
    /**
     * 发送失败
     */
    private Long fileTice;

    /**
     * 已发送
     */
    private Long sendTice;
}
