package com.parksong.beans.delivery;


import com.parksong.basics.beans.BasicsBean;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * 同步手机号
 * @author kael
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PhoneLibDto extends BasicsBean {
    private String phones;
    /**
     * 门店Id
     */
    private int storeId;
    /**
     * 小区Id
     */
    private int areaId;
    /**
     * 小区名称
     */
    private String areaName;
    /**
     * 收件人名称
     */
    private String consingeeName;
    /**
     * 收件人电话
     */
    private String consingeePhone;
    /**
     * 收件人地址
     */
    private String address;
    /**
     * 楼栋号
     */
    private String buildingNumber;
    /**
     * 楼层号
     */
    private String floorNumber;
    /**
     * 备注
     */
    private String remark;
    /**
     * 姓名+电话
     */
    private String namePhone;
}
