package com.parksong.beans.express;

import com.parksong.basics.beans.BasicsBean;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @author Administrator
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ExpressDeptAccount extends BasicsBean {

    private String account;

    private String deptAccount;

    private Long storeId;

    private Long expId;

    private Long expressDeptId;

    private String storeName;

    private String expressName;

    private String deptName;

    private BigDecimal balance;

    private BigDecimal packagePrice;

    private BigDecimal closingPrice;

    private Byte deductionNode;

    private String remark;

    private Long sort;

    private Boolean valid;

    private Date createTime;

    private String creator;

    private Date updateTime;

    private String updater;
    /**
     * 子表字段
     */
    private String expImage;

}