package com.parksong.beans.platform.cainiao;

import lombok.Data;

import java.util.List;

@Data
public class CaiNiaoResponse {
    /**
     * True or false
     */
    private Boolean isSecretWayBill;
    /**
     * 虚拟号码
     */
    private String virtualNumber;
    /**
     * 真实手机号码后四位
     */
    private String endOfMobileNumber;
    /**
     * 可能的物流公司
     */
    private List<String> cpCodeList;
    /**
     * 接口返回是否成功
     */
    private Boolean success;
    /**
     * 错误信息
     */
    private String errorMsg;
    /**
     * 是否是敏感用户
     */
    private Boolean isSensitiveConsumer;
}
