package com.parksong.beans.platform.cainiao;

import lombok.Builder;
import lombok.Data;
@Builder
@Data
public class CaiNiaoWaybillQuery {
    /**
     * 电子面单扩展信息查询接口请求参数
     * 电子面单号(必填)
     */
    private String waybillNo;
    /**
     * 电子面单扩展信息查询接口请求参数
     * 站点编码，但是不填写则返回结果没有isSensitiveConsumer字段的值(非必填)
     */
    private String stationCode;
    /**
     * 猜面单接口请求参数
     * 调用来源名称
     */
    private String appName;
    /**
     * 猜面单接口请求参数
     * 运单号
     */
    private String mailNo;
}


