package com.parksong.beans.platform.enums;

/**
 * 拼多多快递（如果有对接更多快递就需要添加）
 * @author kael
 */

public enum PddExpressEnum {

    EXP_ZT("ZTO", 187,"中通快递"),
    EXP_STO("STO", 272,"申通快递"),
    EXP_YD("YUNDA", 17,"韵达快递"),
    EXP_YT("YTO", 202,"圆通快递"),
    EXP_HT("HT", 223,"百世快递"),
    EXP_TT("TT", 273,"天天快递"),
    EXP_SF("SF", 18,"顺丰快递"),
    EXP_EMS("EMS", 243,"EMS"),
    EXP_CHENGBANG("CHENGBANG", 284,"晟邦物流"),
    EXP_YS("YS", 276,"优速快递"),
    EXP_JD("JD", 279,"京东"),
    EXP_GTO("GTO", 274,"国通快递"),
    EXP_ZJS("ZJS", 282,"宅急送"),
    EXP_RFD("RFD", 271,"如风达"),
    EXP_DB("DB", 278,"德邦"),
    EXP_FEDEX("FEDEX", 19,"联邦快递"),
    EXP_WXWL("WXWL", 281,"万象物流"),
    EXP_HUANGMAJIA("HUANGMAJIA", 287,"黄马甲"),
    EXP_SURE("SURE", 277,"速尔快递"),
    EXP_YAMAXUNWULIU("YAMAXUNWULIU", 289,"亚马逊物流"),
    EXP_KYE("KYE", 283,"跨越速运"),
    EXP_UAPEX("UAPEX", 286,"全一快递"),
    EXP_ANNENG("ANNENG", 280,"安能快递"),
    EXP_SNWL("SNWL", 203,"苏宁快递"),
    EXP_DEBANGWULIU("DEBANGWULIU", 278,"德邦物流"),
    EXP_DHLCN("DHLCN", 290,"DHL中国"),
    EXP_UPS("UPS", 292,"UPS"),
    EXP_PJ("PJ", 294,"品骏"),
    EXP_OTP("OTP", 295,"承诺达特快"),
    EXP_YZXB("YZXB", 244,"邮政");

    private String brand;
    private int expressId;
    private String cnName;

    private PddExpressEnum(String code, int expressId, String cnName) {
        this.brand = code;
        this.expressId = expressId;
        this.cnName = cnName;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public int getExpressId() {
        return expressId;
    }

    public void setExpressId(int expressId) {
        this.expressId = expressId;
    }

    public static PddExpressEnum of(int expressId) {
        for (PddExpressEnum pddExpressEnum : PddExpressEnum.values()) {
            if (pddExpressEnum.getExpressId() == expressId){
                return pddExpressEnum;
            }
        }
        return null;
    }
}
