package com.parksong.beans.platform.enums;

/**
 * 拼多多快递（如果有对接更多快递就需要添加）
 *
 * @author kael
 */

public enum ZtoExpressEnum {

    ANE(280, "安能"),
    BAISHI(223, "百世"),
    CHINAPOST(244, "邮政"),
    DEBANG(278, "德邦"),
    EMS(243, "EMS"),
    JD(279, "京东"),
    KJ(285, "快捷"),
    SF(18, "顺丰"),
    STO(272, "申通"),
    SUNING(203, "苏宁"),
    TMALL(288, "天猫"),
    TT(273, "天天"),
    UC(276, "优速"),
    YTO(202, "圆通"),
    YUNDA(17, "韵达"),
    ZAIJISONG(282, "宅急送"),
    PJ(294, "品骏"),
    WPH(297, "唯品会"),
    ZTO(187, "中通"),
    OTHER(999, "其他");

    private int expressId;
    private String cnName;

    ZtoExpressEnum(int expressId, String cnName) {
        this.expressId = expressId;
        this.cnName = cnName;
    }

    public int getExpressId() {
        return expressId;
    }

    public String getCnName() {
        return cnName;
    }

    public static ZtoExpressEnum of(int expressId) {
        for (ZtoExpressEnum pddExpressEnum : ZtoExpressEnum.values()) {
            if (pddExpressEnum.getExpressId() == expressId) {
                return pddExpressEnum;
            }
        }
        return null;
    }
}
