package com.parksong.beans.platform.pdd;

import com.google.common.base.Strings;
import com.parksong.services.store.ConfigurationService;

/**
 * @ClassName PddGetSysParam
 * @Description TODO
 * @Author Administrator
 * @Date 2019/9/4 0004 下午 15:06
 * @Version 1.0
 **/
public class PddGetSysParam {

    private String url;
    private String pddUrl;
    private String partnerId;
    private String secret;
    private boolean fale;

    public String getUrl() {
        return url;
    }

    public String getPddUrl() {
        return pddUrl;
    }

    public String getPartnerId() {
        return partnerId;
    }

    public String getSecret() {
        return secret;
    }

    public boolean isFale() {
        return fale;
    }

    public PddGetSysParam invoke(ConfigurationService configurationService) {
        url = configurationService.getConfigurationByCode("signbackUrl").getOValue1();
        pddUrl = configurationService.getConfigurationByCode("pddUrl").getOValue1();
        partnerId = configurationService.getConfigurationByCode("pddPartnerId").getOValue1();
        secret = configurationService.getConfigurationByCode("pddSecret").getOValue1();
        fale = false;
        if(Strings.isNullOrEmpty(url)){
            fale = true;
        }
        if(Strings.isNullOrEmpty(pddUrl)){
            fale = true;
        }
        if(Strings.isNullOrEmpty(partnerId)){
            fale = true;
        }
        if(Strings.isNullOrEmpty(secret)){
            fale = true;
        }
        return this;
    }
}
