package com.parksong.beans.store;

import com.parksong.basics.beans.BasicsBean;
import lombok.Data;

import java.util.Date;

/**
 * 门店
 * @author kael
 */
@Data
public class Store extends BasicsBean {

	private static final long serialVersionUID = -850831288241015922L;
	
	private String name;
	private String shortName;
	private String owner;
	private String phone;
	private String takeExpressPhone;
	private int provinceId;
	private String provinceName;
	private long cityId;
	private String cityName;
	private long areaId;
	private String areaName;
	private Long townshipId;
	private String township;
	private int collegeId;
	private String collegeName;
	private String address;
	private String shortAddress;
	private String receiveIds;
	private String dispatchIds;
	private int isP2p;
	private int operate_type;//0加盟/1合作直营/2自建直营/3校企合作  
	private String startTime;
	private String endTime;
	private int status;
	private String isPrinter;
	private String longitude; // 经度
	private String latitude; // 纬度

	private String appid;
	private String appsecret;
	private String msgtempid;
	private String signtempid;
	private String domain;
	private String opendoor;
	private String sendexpress;
	private String advertisingUrl;
	private String advertisingMsg;
	private String yjmsgtempid;
	private Integer auditStatus;
	private Boolean isOpenSignBack=false;
	/**
	 * 快递id对应详细地址
	 */
	private String expIdAddress;
	private String backupPhone;

}
