package com.parksong.beans.store;

import com.parksong.basics.beans.BasicsBean;
import lombok.Data;

/**
 * @ClassName StoreSmsTemplate
 * @Description 商店短信模板实体类
 * @Author liujs
 * @Date 2019/09/20 上午 11:20
 * @Modefy
 * @Version 1.0
 */
@Data
public class StoreSmsTemplate extends BasicsBean {
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 模板id
     */
    private Integer templateId;
    /**
     * 是否正在被使用
     */
    private Integer isUsed;
    /**
     * 模板内容
     */
    private String content;

    /**
     * 正常模板内容
     */
    private String zcontent;
}
