package com.parksong.dao.express;

import com.parksong.basics.beans.BasicsBean;
import com.parksong.basics.dao.BasicDao;
import com.parksong.basics.filter.Filter;
import com.parksong.beans.express.ExpressDeptAccount;
import com.parksong.filter.express.ExpressFilter;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: ExpressDeptMapper
 * @package: com.parksong.dao.express
 * @author: kael
 * @date: 2019/12/4 0004 下午 15:17
 */
@Repository
public interface ExpressDeptMapper extends BasicDao<ExpressFilter, BasicsBean> {
    /**
     * 获取快递公司余额
     * @param storeId
     * @return
     */
    List<ExpressDeptAccount> getBalanceByStoreId(Integer storeId);
}
