package com.parksong.dao.store;

import com.parksong.basics.dao.BasicDao;
import com.parksong.basics.filter.Filter;
import com.parksong.beans.store.Configuration;
import org.springframework.stereotype.Repository;

/**
 *
 * @author kael
 */
@Repository
public interface ConfigurationDao  extends BasicDao<Filter, Configuration> {
    /**
     * 通过code获取门店配置
     * @param code
     * @return
     */
    public Configuration getConfigurationByCode(String code);
}
