package com.parksong.dao.store;

import com.parksong.basics.dao.BasicDao;
import com.parksong.beans.store.WhiteList;
import com.parksong.filter.store.StoreFilter;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 白名单
 * @author kael
 */
@Repository
public interface WhiteListDao  extends BasicDao<StoreFilter, WhiteList> {
    /**
     * 通过门店id获取白名单
     * @param storeId
     * @return
     */
    public List<WhiteList> getByStoreId(Integer storeId);
}
