package com.parksong.dao.user;

import com.parksong.basics.dao.BasicDao;
import com.parksong.beans.user.User;
import com.parksong.filter.user.UserFilter;
import org.springframework.stereotype.Repository;

/**
 * @ClassName UserDao
 * @Description TODO
 * @Author kael
 * @Date 2019/9/9 0009 上午 11:28
 * @Version 1.0
 **/
@Repository
public interface UsersDao  extends BasicDao<UserFilter, User> {

    /**
     * 根据ID和密码查询用户
     *
     * @param filter
     * @return
     */
    public User getUserByIdAndPwd(UserFilter filter);
}
