package com.parksong.filter.delivery;

import com.parksong.basics.beans.BasicsBean;
import lombok.Data;

/**
 * @ClassName StorageDeliveryBean
 * @Description 入库
 * @Author kael
 * @Date 2019/9/12 0012 下午 15:52
 * @Version 1.0
 **/
@Data
public class StorageDeliveryFilter extends BasicsBean {

    /**
     * 快递公司id
     */
    private Integer expId;
    /**
     * 快递单号
     */
    private String expCode;
    /**
     * 货架Id
     */
    private Integer shelfId;

    /**
     * 用户手机号
     */
    private String telPhone;

    /**
     * 取件码
     */
    private String shelfCode;
    /**
     * 白名单用户是否入库，yes：no
     */
    private String whiteIsInbound;
    /**
     * 什么平台订单，如拼多多：PDD
     */
    private String platform;
}
