package com.parksong.services.app.impl;

import com.parksong.beans.app.AppBean;
import com.parksong.dao.app.AppDao;
import com.parksong.filter.app.AppFilter;
import com.parksong.services.app.AppService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/5/27 13:54
 * @Desc
 * @Version 1.0
 */
@Service
@Slf4j
public class AppServiceImpl implements AppService {

    @Autowired
    private AppDao appDao;

    @Override
    public AppBean checkVersion(AppFilter appFilter){
        AppBean appBean = appDao.getAppInfo();
        List<Boolean> list =  appDao.isNeedForceUpdate(appFilter.getVersionCode());
        appBean.setNeedForceUpdate(list.contains(true));
        return appBean;
    }
}
