package com.parksong.services.delivery.impl;

import com.parksong.basics.exception.BusinessException;
import com.parksong.basics.services.BasicsService;
import com.parksong.beans.delivery.DeliveryStatus;
import com.parksong.dao.delivery.DeliveryStatusDao;
import com.parksong.services.delivery.DeliveryStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName DeliveryStatusServiceImpl
 * @Description TODO
 * @Author kael
 * @Date 2019/9/16 0016 下午 13:52
 * @Version 1.0
 **/
@Service
public class DeliveryStatusServiceImpl extends BasicsService implements DeliveryStatusService {

    @Autowired
    private DeliveryStatusDao deliveryStatusDao;

    @Override
    public Integer insert(DeliveryStatus deliveryStatus){
        if(deliveryStatus == null || deliveryStatus.getStoreId() == null){
            throw new BusinessException("订单状态新增门店id不能为空");
        }
        return deliveryStatusDao.insert(deliveryStatus);
    }

    @Override
    public Integer insertTotalDeliveryStatus(DeliveryStatus deliveryStatus){
        return deliveryStatusDao.insertTotalDeliveryStatus(deliveryStatus);
    }
}
