package com.parksong.services.enums.impl;

import com.parksong.basics.services.BasicsService;
import com.parksong.beans.enums.EnumsData;
import com.parksong.util.enums.ClassNameEnum;
import com.parksong.services.enums.EnumsStatusService;
import org.springframework.stereotype.Service;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;

/**
 * @ClassName EnumsStatusServiceImpl
 * @Description 获取枚举类型
 * @Author kael
 * @Date 2019/9/11 0011 上午 9:46
 * @Version 1.0
 **/
@Service
public class EnumsStatusServiceImpl extends BasicsService implements EnumsStatusService {

    @Override
    public List<EnumsData> getType(String typeId) throws ClassNotFoundException, NoSuchMethodException, InvocationTargetException, IllegalAccessException {
        Class<?> class1 = Class.forName("com.parksong.util.enums."+ ClassNameEnum.getEnum(typeId).getValue());

        Method getMeaning = class1.getDeclaredMethod("getType");
        Object[] oo = class1.getEnumConstants();
        return (List<EnumsData>) getMeaning.invoke(oo[0]);
    }

}
