package com.parksong.services.express;

import com.parksong.beans.delivery.Delivery;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName ExpressConsumeService.java
 * @Description TODO
 * @createTime 2019年11月27日 16:29:00
 */
public interface ExpressConsumeService {
    /**
     * 生产消费记录
     * @param delivery 入库/出库信息
     * @param deductionNode 调用时的节点 入库/出库
     */
    void insertConsumeRecord(Delivery delivery, byte deductionNode);

    /**
     * 查看余额是否充足
     * @param storeId 门店ID
     * @param expId 快递公司ID
     * @return
     */
    boolean checkExpressBalance(Integer storeId, Integer expId);


    void expressChanged(Integer expId, Delivery delivery);
}
