package com.parksong.services.store;

import com.parksong.beans.store.WhiteList;

import java.util.List;
import java.util.Map;

/**
 * kael
 * @author kael
 */
public interface WhiteListService {
    /**
     * 获取门店白名单
     * @param storeId
     * @return
     */
    List<WhiteList> getByStoreId(Integer storeId);

    /**
     * 获取门店白名单，返回map
     * @return
     */
    Map<Integer,List<WhiteList>> getMapByStoreId(Integer storeId);

    /**
     * 获取门店白名单，返回map，用户电话号码为key
     * @param storeId
     * @return
     */
    Map<String,WhiteList> getPhoneMapByStoreId(Integer storeId);
}
