package com.parksong.services.user;

import com.parksong.beans.user.LoginData;
import com.parksong.beans.user.User;
import com.parksong.filter.user.UserFilter;

public interface UsersService {
    /**
     * 登录
     * @param filter
     * @return
     */
    LoginData login(UserFilter filter);

    /**
     * 获取用户信息，通过id
     * @param userId
     * @return
     */
    User getUserById(String userId);
}
