package com.parksong.services.user.impl;

import com.google.common.base.Strings;
import com.parksong.basics.exception.BusinessException;
import com.parksong.basics.util.basic.StringsUtil;
import com.parksong.beans.user.StoreStaff;
import com.parksong.dao.user.StoreStaffDao;
import com.parksong.services.user.StoreStaffService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author LiuJS
 * @Time 2021/5/7 13:43
 * @Desc
 * @Version 1.0
 */
@Service
public class StoreStaffServiceImpl implements StoreStaffService {

    @Resource
    private StoreStaffDao storeStaffDao;

    @Override
    public StoreStaff getStoreStaffInfo(String userId, String password) {
        if (Strings.isNullOrEmpty(userId) || Strings.isNullOrEmpty(password)){
            throw new BusinessException("参数错误");
        }
        return storeStaffDao.getStoreStaffInfo(userId, password);
    }
}
