package com.parksong.util.bacth;

import com.parksong.basics.beans.BatchDataMsg;
import lombok.extern.slf4j.Slf4j;

/**
 * @ClassName BatchDataHandleUtil
 * @Description TODO
 * @Author Administrator
 * @Date 2019/9/12 0012 上午 11:01
 * @Version 1.0
 **/
@Slf4j
public class BatchDataHandleUtil {
    /**
     * 批量处理数据失败
     * @param id
     * @param msg
     * @return
     */
    public static BatchDataMsg batchError(String id, String msg){
        return BatchDataMsg.builder()
                .id(id)
                .result(false)
                .msg(msg).build();
    }
    /**
     * 批量处理数据成功
     * @param id
     * @return
     */
    public static BatchDataMsg batchSuccess(String id){
        return BatchDataMsg.builder()
                .id(id)
                .result(true).build();
    }

    /**
     * 批量处理数据成功
     * @param id
     * @param userPhone
     * @param msg
     * @return
     */
    public static BatchDataMsg batchSuccess(String id,String userPhone,StringBuilder msg){
        return BatchDataMsg.builder()
                .id(id)
                .result(true)
                .userPhone(userPhone)
                .msg(msg.toString()).build();
    }
}
