package com.parksong.util.enums;

/**
 * @author LiuJS
 * @Time 2021/6/25 10:23
 * @Desc
 * @Version 1.0
 */
public enum SmsSendStatusEnum {

    SMS_STATUS_NOSEND(-1, "未发送"),
    SMS_STATUS_SENDING(0, "已发送"),
    SMS_STATUS_SUCCESS(1, "成功"),
    SMS_STATUS_FAIL(2, "失败");

    private Integer key;
    private String value;

    public Integer getKey() {
        return key;
    }

    public void setKey(Integer key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    SmsSendStatusEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    public static SmsSendStatusEnum valueOf(int code) {
        for (SmsSendStatusEnum sendStatus : SmsSendStatusEnum.values()) {
            if (sendStatus.getKey() == code) {
                return sendStatus;
            }
        }
        return null;
    }
}
