package com.parksong;

import com.parksong.basics.services.RabbitService;
import com.parksong.basics.util.configurations.RabbitConfig;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * @ClassName AMQPTests
 * @Description
 * @Author SunJJ
 * @Date 2020/4/29 13:47
 * @Version V1.0
 **/
public class AMQPTests extends GpExpServerApplicationTests {

    @Autowired
    private RabbitService rabbitService;
    @Autowired
    private RabbitConfig rabbitConfig;

    // @Test
    public void timingSendTest() throws InterruptedException {
        String queue = rabbitConfig.getSmsQueueName();
        for (int i = 5; i >= 0; i--) {
            final int j = i;
            rabbitService.timingSend(queue, j * 1000L, System.currentTimeMillis() + "_" + queue + "_Hello World_" + DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss").format(LocalDateTime.now()));
            Thread.sleep(1000);
        }
    }
}
