package com.parksong.basics.util.configurations;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName GuoanFtpConfig
 * @Description 国安ftp服务器地址
 * @Author kael
 * @Date 2019/9/20 0020 下午 17:10
 * @Version 1.0
 **/
@Data
@Component
@ConfigurationProperties(prefix = "ftp")
public class GuoanFtpConfig {

    private String url;
    private Integer port;
    private String username;
    private String password;
}
