package com.parksong.basics.util.constants;

/**
 * @ClassName DeliveryStatusConstants
 * @Description 派件订单状态
 * @Author kael
 * @Date 2019/9/16 0016 上午 11:10
 * @Version 1.0
 **/
public class DeliveryStatusConstants {

    /**
     * 未到货
     */
    public static final int ORDER_STATUS_AFLOAT = 120;
    /**
     * 待入库
     */
    public static final int ORDER_STATUS_WAIT_IN_STORE = 245;
    /**
     * 已入库
     */
    public static final int ORDER_STATUS_STORED = 122;
    /**
     * 派送中
     */
    public static final int ORDER_STATUS_DISPATCHING = 124;
    /**
     * 麦客配送中
     */
    public static final int ORDER_STATUS_MAIKE_DISPATCHING = 125;
    /**
     * 已完成
     */
    public static final int ORDER_STATUS_COMPLETE = 126;
    /**
     * 已退件
     */
    public static final int ORDER_STATUS_LEAVE_STORE = 246;
    /**
     * 拒收离库
     */
    public static final int ORDER_STATUS_REJECT_LEAVE_STORE = 130;
    /**
     * 拒收在库
     */
    public static final int ORDER_STATUS_REJECT_PICK_UP = 128;

    /**
     *   滞留状态
     */
    public static final int ORDER_STATUS_REJECT_RETENTION = 225;
}
