package com.parksong.basics.util.constants;

/**
 * @ClassName SmsSendStatusConstants
 * @Description 短信发送方式和状态
 * @Author kael
 * @Date 2019/9/16 0016 下午 14:53
 * @Version 1.0
 **/
public class SmsSendStatusConstants {

    // ------短信发送方式
    /**
     * 自动发送
     */
    public static final int SMS_SEND_TYPE_AUTO = 1;

    /**
     * 手动发送
     */
    public static final int SMS_SEND_TYPE_HAND = 2;

    // ------短信发送状态------
    /**
     * 已发送
     */
    public static final int SMS_SEND_STATUS_SEND = 0;
    /**
     * 成功
     */
    public static final int SMS_SEND_STATUS_SUCCESS = 1;
    /**
     * 失败
     */
    public static final int SMS_SEND_STATUS_FAIL = 2;
    /**
     * 无结果
     */
    public static final int SMS_SEND_STATUS_UNKNOWN = 3;
}
