package com.parksong.beans.delivery;

import com.parksong.basics.beans.BasicsBean;
import lombok.Builder;
import lombok.Data;

/**
 * @ClassName deliveryRunningWater
 * @Description 订单流水表，用于记录订单流水
 * @Author kael
 * @Date 2019/9/16 0016 下午 17:33
 * @Version 1.0
 **/
@Data
@Builder
public class DeliveryRunningWater extends BasicsBean {
    private String userId;
    private Integer deliveryId;
    private Integer storeId;
    private String appVersion;
    private String apiVersion;
    /**
     * 操作
     */
    private String operating;
    private Integer operatingType;
    private String orderSource;
    private String spare1;
    private String spare2;
    private String spare3;

}
