package com.parksong.beans.delivery;

import com.parksong.basics.beans.BasicsBean;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * @author kael
 */
@Data
@Builder
public class DeliveryScanBatch extends BasicsBean {
    /**
	 * 
	 */
	private static final long serialVersionUID = 4847829737668775909L;

    private String expCode;

    private Integer expId;

    private Integer storeId;

    private Integer batchNumber;

    private Integer operatorId;

    private Date createTime;

    private String userPhone;

    private String userName;

    private Integer chargeMoney;
    
    private String revexpCode;

    private String revuserPhone;

    //dto属性
    private Integer ocount;
    private String expName;
    private String operatorName;
    private String signUrl;
    
    //前端做，后面删除
    private String createTimeStr;

	private String ocrStatus;

	private String ocrAmount;

	private String shelfCode;
	// 2019/1/10
	private String bindingCode;
	private int channel;
	private String picurl;
}