package com.parksong.beans.delivery;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/6/11 16:10
 * @Desc
 * @Version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StatisticsOutboundRate {
    /**
     * 时间
     */
    private String time;
    /**
     * 快递公司Id
     */
    private Long expId;
    /**
     * 快递公司名称
     */
    private String expName;
    /**
     * 快递公司logo
     */
    private String expLogo;
    /**
     * 入库数
     */
    private Integer warehousing;
    /**
     * 出库数
     */
    private Integer outboundNum;
    /**
     * 待出库数
     */
    private Integer waitOutboundNum;
    /**
     * 退件数
     */
    private Integer sendBackNum;
    /**
     * 出库率
     */
    private String outboundRate;
    /**
     * 查询时间范围的详情数据/每日各种快递的详情数据
     */
    private List<StatisticsOutboundRate> detailInfo;
}
