package com.parksong.beans.express;

import com.parksong.basics.beans.BasicsBean;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author LiuJS
 * @Time 2021/7/6 11:19
 * @Desc
 * @Version 1.0
 */
@Data
public class ExpressDept extends BasicsBean {
    /**
     * 账号
     */
    private String account;
    /**
     * 密码
     */
    private String password;
    /**
     * 快递公司ID
     */
    private Long expId;
    /**
     * 快递公司名称
     */
    private String expressName;
    /**
     * 部门名(对应画面账号名称)
     */
    private String deptName;
    /**
     * 负责人姓名
     */
    private String ownerName;
    /**
     * 负责人电话
     */
    private String ownerPhone;
    /**
     * 负责人邮箱（预留）
     */
    private String ownerMail;
    /**
     * 所属地区（行政区划代码）示例310104
     */
    private String areaCode;
    /**
     * 详细地址
     */
    private String address;
    /**
     * 是否启用（1：启用，0:未启用）
     */
    private int valid;
    /**
     * 所属门店Id
     */
    private Integer storeId;
    /**
     * 所属商店名称
     */
    private String storeName;
    /**
     * 余额
     */
    private BigDecimal balance;
    /**
     * 快递单价
     */
    private BigDecimal packagePrice;
    /**
     * 余额最低临界值
     */
    private BigDecimal closingPrice;
    /**
     * 扣费节点
     */
    private String deductionNode;
}
