package com.parksong.beans.message;

import lombok.Data;

/**
 * 极光推送拓展类<br>
 * @author: liujs
 * @date: 2019/11/29 0006 上午 11:01
 */
@Data
public class ExtraBean {
    /**
     type Integer 类型
     1、跳转到消息中心显示消息
     2、跳转web URL 要全
     3、直接跳转controller 需要传跳转的Controller
     4、显示系统升级等消息
     */
    String type;
    String url;
    /**
     * 是否是PDF 0-不是PDF 1-是PDF(仅安卓使用)
     * 当type = 2 时,配合url才有效
     */
    String isPDF;
    /**
     * App公告消息的内容
     */
    String params;
    String controllerIOS;
    String controllerAndroid;
    String sound;
    /**
     * 是否跳转(0-不跳转;1-跳转到消息管理;2-跳转到URL;3-跳转到Controller;4-跳转下一个公告)
     */
    String operationType;
}
