package com.parksong.beans.message;

import lombok.Data;

import java.util.Collection;

/**
 * 极光推送类<br>
 * @author: liujs
 * @date: 2019/11/29 0006 上午 11:01
 */
@Data
public class JiguangBean {
    /**
     * 1.极光推送， 2.app内自定义推送
     */
    String pushType;
    String notification_title;
    String msg_title;
    String msg_content;
    String createTime;
    /**
     * all:全部 alias:根据别名推送 allIos:推送所有ios用户 allAndroid:推送所有安卓用户
     */
    String pushRange;
    Collection<String> tags;
    Collection<String> alias;
    /**
     * 拓展对象,即设置App内自定公告的参数设置
     */
    ExtraBean extraBean;
}
