package com.parksong.beans.store;

import com.parksong.basics.beans.BasicsBean;
import lombok.Builder;
import lombok.Data;

/**
 * 审核状态类
 * @author kael
 * @date 2019/3/8 0008
 */
@Data
@Builder
public class Audit extends BasicsBean {
    private String userId;
    private Integer storeId;
    private Integer storeNameType;
    /**
     * 详细地址
     */
    private Integer storeAddressType;
    private Integer comSignType;
    /**
     * 取件地址
     */
    private Integer storeShortType;
    private Integer timeType;
    private Integer phoneType;
}
