package com.parksong.beans.user;

import com.parksong.basics.beans.BasicsBean;
import com.parksong.beans.express.ExpressRule;
import com.parksong.beans.store.Audit;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @ClassName LoginData
 * @Description 登录返回数据
 * @Author kael
 * @Date 2019/9/20 0020 上午 11:22
 * @Version 1.0
 **/
@Data
@Builder
public class LoginData extends BasicsBean {

    private Audit audit;

    private String userId;

    private String userName;

    private String password;

    private String phoneLogo;

    private String shortAddress;

    private String detailAddress;

    private String tellPhone;

    private String startTime;

    private String endTime;

    private String email;

    private String shortName;

    private Integer status;

    private BigDecimal smsPrice;

    private Integer codeType;

    private Integer storeId;

    private Map<Integer, ExpressRule> expressRuleMap;

}
