package com.parksong.dao.config;

import com.parksong.basics.dao.BasicDao;
import com.parksong.basics.filter.Filter;
import com.parksong.beans.config.PlatformConfig;
import org.springframework.stereotype.Repository;

/**
 * 平台配置
 * 
 * @author liutianyuan
 *
 */
@Repository
public interface PlatformConfigDao extends BasicDao<Filter, PlatformConfig> {

	PlatformConfig getByPlatform(String platform);
}
