package com.parksong.dao.delivery;

import com.parksong.basics.dao.BasicDao;
import com.parksong.beans.delivery.DeliveryScanBatch;
import com.parksong.filter.delivery.DeliveryFilter;
import org.springframework.stereotype.Repository;

/**
 * @author kael
 */
@Repository
public interface DeliveryScanBatchDao extends BasicDao<DeliveryFilter, DeliveryScanBatch> {
    /**
     * 新增总表记录
     *
     * @param deliveryScanBatch
     * @return
     */
    public Integer insertTotalDeliveryScanBatch(DeliveryScanBatch deliveryScanBatch);
}
