package com.parksong.dao.delivery;

import com.parksong.basics.dao.BasicDao;
import com.parksong.beans.delivery.DeliveryStatus;
import com.parksong.filter.delivery.DeliveryFilter;
import org.springframework.stereotype.Repository;

/**
 * 订单状态
 * @author kael
 */
@Repository
public interface DeliveryStatusDao  extends BasicDao<DeliveryFilter, DeliveryStatus> {
    /**
     * 插入总订单状态表
     * @param deliveryStatus
     * @return
     */
    Integer insertTotalDeliveryStatus(DeliveryStatus deliveryStatus);
}
