package com.parksong.dao.express;

import com.parksong.basics.beans.BasicsBean;
import com.parksong.basics.dao.BasicDao;
import com.parksong.basics.filter.Filter;
import com.parksong.beans.express.ExpressAccountConsumeRecord;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName ExpressAccountConsumeRecordDao.java
 * @Description TODO
 * @createTime 2019年11月27日 16:41:00
 */
@Repository
public interface ExpressAccountConsumeRecordDao extends BasicDao<Filter, BasicsBean> {
    int insertSelective(ExpressAccountConsumeRecord record);

    ExpressAccountConsumeRecord selectLastRecord(@Param("deliveryId") int deliveryId, @Param("expId") int expId);

    void insertList(@Param("records") List<ExpressAccountConsumeRecord> records);
}
