package com.parksong.dao.express;

import com.parksong.basics.beans.BasicsBean;
import com.parksong.basics.dao.BasicDao;
import com.parksong.basics.filter.Filter;
import com.parksong.beans.express.ExpressRule;
import com.parksong.beans.express.ExpressType;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author kael
 */
@Repository
public interface ExpressDao extends BasicDao<Filter, BasicsBean> {

    /**
     * 查询所有快递
     * @return
     */
    List<ExpressRule> allExpressRule();

    /**
     * 查询所有快递信息
     * @return
     */
    List<ExpressType> getAllExpress();
}
