package com.parksong.dao.store;

import com.parksong.basics.dao.BasicDao;
import com.parksong.beans.store.Audit;
import com.parksong.filter.store.StoreFilter;
import org.springframework.stereotype.Repository;

/**
 * @author kael
 */
@Repository
public interface AuditDao extends BasicDao<StoreFilter, Audit> {
    /**
     * 通过用户id和门店id获取审核状态
     * @param filter
     * @return
     */
    Audit getAuditByStoreIdAndUserId(StoreFilter filter);
}
