package com.parksong.dao.store;

import com.parksong.basics.dao.BasicDao;
import com.parksong.beans.store.StoreSmsTemplate;
import com.parksong.filter.store.StoreSmsTemplateFilter;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName
 * @Description
 * @Author liujs
 * @Date 2019/09/20 下午 14:31
 * @Modefy
 * @Version 1.0
 */
@Repository
public interface StoreSmsTemplateDao extends BasicDao<StoreSmsTemplateFilter,StoreSmsTemplate>{
    /**
     *  获取门店短信模板
     */
    public List<StoreSmsTemplate> getStoreSmsTemplateByStoreId(StoreSmsTemplateFilter filter);
}
