package com.parksong.factory.infoplatform;

import com.parksong.beans.delivery.GetInfoByExpCodeBean;
import com.parksong.beans.express.ExpressType;
import com.parksong.filter.delivery.DeliveryFilter;

/**
 * 平台基类
 * @author kael
 */
public interface BaseInfoPlatform {

    /**
     * 通过面单号得到各商家的相关信息
     * @param filter
     * @return
     */
    GetInfoByExpCodeBean getInfoByExpCode(DeliveryFilter filter) throws Exception;

    ExpressType getExpressByExpCode(String expCode);
}