package com.parksong.filter.applets;

import com.parksong.basics.filter.Filter;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LiuJS
 * @Time 2021/7/6 14:20
 * @Desc
 * @Version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppletsFilter extends Filter {
    private String account;
    private String password;

    //查询快递信息参数
    /**
     * 快递公司Id
     */
    private Integer expressId;
    /**
     * 快递单号
     */
    private String expressCode;
    /**
     * 手机人电话号码
     */
    private String consigneePhone;
    /**
     * 快递状态
     * 已出库：126 246
     * 待出库： 122
     * 退回件：暂未定义
     */
    private Integer expressStatus;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
}
