package com.parksong.filter.store;

import com.parksong.basics.filter.Filter;
import lombok.Data;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: PickupQueue
 * @package: com.parksong.beans.store
 * @author: kael
 * @date: 2019/11/6 0006 上午 11:28
 */
@Data
public class PickupQueueFilter extends Filter {
    private Integer storeId;
    private String userPhone;
    private Integer id;
    /**
     * 获取数量
     */
    private Integer number;

    private List<String> phones;

    private List<Integer> ids;
    /**
     * type = lenovo 时 为联想签收查询未出库快递信息，加上时间限制 一周
     */
    private String type;
}
