package com.parksong.services.applets;

import com.parksong.beans.delivery.ResponsePage;
import com.parksong.beans.delivery.StatisticsOutboundRate;
import com.parksong.beans.express.ConsumeStatistics;
import com.parksong.beans.express.ExpressDept;
import com.parksong.filter.applets.AppletsFilter;

import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/7/6 11:11
 * @Desc
 * @Version 1.0
 */
public interface AppletsService {

    String userLogin(String account, String password) throws Exception;

    ExpressDept userDetail(AppletsFilter filter);

    ResponsePage expressInfo(AppletsFilter filter);

    StatisticsOutboundRate expressStatistics(AppletsFilter filter);

    List<ConsumeStatistics> consumeStatistics(AppletsFilter filter);
}
