package com.parksong.services.delivery;

import com.parksong.beans.delivery.Delivery;
import com.parksong.beans.delivery.DeliveryRunningWater;

/**
 * 订单流水
 * @author kael
 */
public interface DeliveryRunningWaterService {
    /**
     * 新增
     * @param deliveryRunningWater
     * @return
     */
    Integer insert(DeliveryRunningWater deliveryRunningWater);

    /**
     * 新增订单时的插入
     * @param appVersion
     * @param apiVersion
     * @param delivery
     * @param orderSource
     * @param userId
     * @return
     */
    Integer addDeliveryInsert(String appVersion, String apiVersion, Delivery delivery,String orderSource,String userId);

    /**
     * 新增订单时的插入
     * @param appVersion
     * @param apiVersion
     * @param delivery
     * @param orderSource
     * @param userId
     * @param spare
     * @return
     */
    Integer addDeliveryInsert(String appVersion, String apiVersion, Delivery delivery, String orderSource,String userId, String... spare);

    /**
     * 修改订单时的插入
     * @param oldDelivery
     * @param newDelivery
     * @param userId
     * @param appVersion
     * @param apiVersion
     * @return
     */
    Integer updateDeliveryInsert(Delivery oldDelivery , Delivery newDelivery, String userId, String appVersion, String apiVersion);

    /**
     * 根据内容添加流水
     * @param newDelivery
     * @param storeId
     * @param userId
     * @param updateContent
     * @param appVersion
     * @param apiVersion
     * @return
     */
    Integer updateDeliveryInsert(Delivery newDelivery,Integer storeId,String userId,String updateContent,String appVersion, String apiVersion);
}
