package com.parksong.services.express;

import com.parksong.beans.express.ExpressRule;
import com.parksong.beans.express.ExpressType;

import java.util.List;
import java.util.Map;

/**
 * 快递
 * @author kael
 */
public interface ExpressService {
    /**
     * 查询所有expressrule
     * @return
     */
    List<ExpressRule> allExpressRule();

    /**
     * 获取所有expressrule返回map
     * @return map
     */
    Map<Integer,ExpressRule> allExpressRuleMap();

    ExpressType getExpressById(Integer expressId);
}
