package com.parksong.services.express.impl;

import com.parksong.basics.services.BasicsService;
import com.parksong.beans.express.ExpressDeptAccount;
import com.parksong.dao.express.ExpressDeptMapper;
import com.parksong.filter.express.ExpressFilter;
import com.parksong.services.express.ExpressDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: ExpressDeptServiceImpl
 * @package: com.parksong.services.express.impl
 * @author: kael
 * @date: 2019/12/4 0004 下午 15:14
 */
@Service
public class ExpressDeptServiceImpl  extends BasicsService implements ExpressDeptService {

    @Autowired
    private ExpressDeptMapper expressDeptMapper;

    @Override
    public List<ExpressDeptAccount> getBalanceByStoreId(Integer storeId){
        return expressDeptMapper.getBalanceByStoreId(storeId);
    }
}
