package com.parksong.services.sms;

import com.parksong.basics.beans.BatchDataMsg;
import com.parksong.beans.delivery.Delivery;
import com.parksong.beans.user.User;
import com.parksong.filter.sms.SmsFilter;

import java.util.List;

/**
 * @author kael
 */
public interface SmsService {
    /**
     * 批量发送短信
     * @param filter
     * @return
     */
    List<BatchDataMsg> batchSendSms(SmsFilter filter);

    /**
     * 发送单条短信
     * @param delivery
     * @param user
     * @return
     */
    void sendSms(Delivery delivery, User user);
}
