package com.parksong.services.store;

import com.parksong.beans.store.SignBackSwitchBean;
import com.parksong.beans.store.Store;
import com.parksong.filter.store.StoreFilter;

import java.util.List;

/**
 * @author kael
 */
public interface StoreService {
    /**
     * 通过门店id查询门店信息
     * @param storeId
     * @return
     */
    Store getStoreById(Integer storeId);

    /**
     * 查询门店回传配置，通过快递id和门店id
     * @param expId
     * @param storeId
     * @return
     */
    SignBackSwitchBean getSignBackSwitch(Integer expId, Integer storeId);

    /**
     * 获取门店下 用户电话号码
     * @param storeId
     * @return
     */
    List<String> getConsigneePhoneInfo(Integer storeId);
}
