package com.parksong.services.store;

import com.parksong.beans.store.StoreSmsTemplate;
import com.parksong.filter.store.StoreSmsTemplateFilter;

import java.util.List;

/**
 * @ClassName
 * @Description
 * @Author liujs
 * @Date 2019/09/20 上午 10:44
 * @Modefy
 * @Version 1.0
 */
public interface StoreSmsTemplateService {

    /**
     *  通过门店Id获取短信模板
     */
    List<StoreSmsTemplate> getStoreSmsTemplate(StoreSmsTemplateFilter filter);
    /**
     * 通过门店Id和短信模板Id修改商店使用的短信模板
     */
    Boolean updateUsedStoreSmsTemplate(StoreSmsTemplateFilter filter);
}
