package com.parksong.services.store.impl;

import com.parksong.basics.services.BasicsService;
import com.parksong.beans.store.Audit;
import com.parksong.dao.store.AuditDao;
import com.parksong.filter.store.StoreFilter;
import com.parksong.services.store.AuditService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName AuditServiceImpl
 * @Description 审核状态
 * @Author kael
 * @Date 2019/9/20 0020 下午 13:54
 * @Version 1.0
 **/
@Service
public class AuditServiceImpl extends BasicsService implements AuditService {

    @Autowired
    private AuditDao auditDao;

    @Override
    public Audit getAuditByStoreIdAndUserId(StoreFilter filter){
        return auditDao.getAuditByStoreIdAndUserId(filter);
    }
}
