package com.parksong.util.enums;

/**
 * 所有类型类名
 * @author kael
 */

public enum ClassNameEnum {
    DELIVERYSIGNRETURNENUM("DeliverySignReturnEnum", "signReturnStatus"),
    EXPRESSCOMPANYENUM("ExpressCompanyEnum", "express");

    private String value;
    private String key;

    ClassNameEnum(String value, String key) {
        this.value = value;
        this.key = key;
    }

    public static ClassNameEnum getEnum(String Key) {
        for (ClassNameEnum statusCode : ClassNameEnum.values()) {
            if (statusCode.getKey().equals(Key)) {
                return statusCode;
            }
        }
        return null;
    }


    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }
}
