package com.parksong.util.enums;

/**
 * @author LiuJS
 * @Time 2021/6/25 10:13
 * @Desc
 * @Version 1.0
 */
public enum ExpressStatusEnum {

    ORDER_STATUS_SMS(0, "通知"),
    ORDER_STATUS_AFLOAT(120, "未到货"),
    ORDER_STATUS_WAIT_IN_STORE(245, "待入库"),
    ORDER_STATUS_STORED(122, "入库"),
    ORDER_STATUS_DISPATCHING(124, "派送中"),
    ORDER_STATUS_MAIKE_DISPATCHING(125, "麦客配送中"),
    ORDER_STATUS_COMPLETE(126, "出库"),
    ORDER_STATUS_LEAVE_STORE(246, "退件"),
    ORDER_STATUS_REJECT_LEAVE_STORE(130, "拒收离库"),
    ORDER_STATUS_REJECT_PICK_UP(128, "拒收在库"),
    ORDER_STATUS_REJECT_RETENTION(225, "滞留");

    private Integer key;
    private String value;

    public Integer getKey() {
        return key;
    }

    public void setKey(Integer key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    ExpressStatusEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    public static ExpressStatusEnum valueOf(int code) {
        for (ExpressStatusEnum statusCode : ExpressStatusEnum.values()) {
            if (statusCode.getKey() == code) {
                return statusCode;
            }
        }
        return null;
    }
}
